annotations: []
nodes:
  - boot_disk_size: null
    configuration:
      - name: ios_config.txt
        content: |-
          Building configuration...

          Current configuration : 3741 bytes
          !
          ! Last configuration change at 15:53:18 UTC Tue Apr 15 2025
          !
          version 15.9
          service timestamps debug datetime msec
          service timestamps log datetime msec
          no service password-encryption
          !
          hostname R1
          !
          boot-start-marker
          boot-end-marker
          !
          !
          no logging console
          !
          no aaa new-model
          !
          !
          !
          mmi polling-interval 60
          no mmi auto-configure
          no mmi pvc
          mmi snmp-timeout 180
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          no ip domain lookup
          ip cef
          ipv6 unicast-routing
          ipv6 cef
          !
          multilink bundle-name authenticated
          !
          !
          !
          !
          !
          redundancy
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          interface Loopback10
           no ip address
           ipv6 address 2001:DB8:1::1/64
          !
          interface Loopback20
           no ip address
           ipv6 address 2001:DB8:2::1/64
          !
          interface GigabitEthernet0/0
           description ** to R2 **
           no ip address
           duplex auto
           speed auto
           media-type rj45
           ipv6 address FE80::1 link-local
           ipv6 address 2001:DB8::1/64
          !
          interface GigabitEthernet0/1
           no ip address
           shutdown
           duplex auto
           speed auto
           media-type rj45
          !
          interface GigabitEthernet0/2
           no ip address
           shutdown
           duplex auto
           speed auto
           media-type rj45
          !
          interface GigabitEthernet0/3
           no ip address
           shutdown
           duplex auto
           speed auto
           media-type rj45
          !
          router bgp 65001
           template peer-policy POLICY-TEMP
            default-originate
           exit-peer-policy
           !
           template peer-session SESSION-TEMP
            remote-as 65002
           exit-peer-session
           !
           bgp router-id 1.1.1.1
           bgp log-neighbor-changes
           neighbor 2001:DB8::2 inherit peer-session SESSION-TEMP
           !
           address-family ipv4
            no neighbor 2001:DB8::2 activate
           exit-address-family
           !
           address-family ipv6
            neighbor 2001:DB8::2 activate
            neighbor 2001:DB8::2 inherit peer-policy POLICY-TEMP
           exit-address-family
          !
          ip forward-protocol nd
          !
          !
          no ip http server
          no ip http secure-server
          !
          ipv6 ioam timestamp
          !
          !
          !
          control-plane
          !
          banner exec ^C
          **************************************************************************
          * IOSv is strictly limited to use for evaluation, demonstration and IOS  *
          * education. IOSv is provided as-is and is not supported by Cisco's      *
          * Technical Advisory Center. Any use or disclosure, in whole or in part, *
          * of the IOSv Software or Documentation to any third party for any       *
          * purposes is expressly prohibited except as otherwise authorized by     *
          * Cisco in writing.                                                      *
          **************************************************************************^C
          banner incoming ^C
          **************************************************************************
          * IOSv is strictly limited to use for evaluation, demonstration and IOS  *
          * education. IOSv is provided as-is and is not supported by Cisco's      *
          * Technical Advisory Center. Any use or disclosure, in whole or in part, *
          * of the IOSv Software or Documentation to any third party for any       *
          * purposes is expressly prohibited except as otherwise authorized by     *
          * Cisco in writing.                                                      *
          **************************************************************************^C
          banner login ^C
          **************************************************************************
          * IOSv is strictly limited to use for evaluation, demonstration and IOS  *
          * education. IOSv is provided as-is and is not supported by Cisco's      *
          * Technical Advisory Center. Any use or disclosure, in whole or in part, *
          * of the IOSv Software or Documentation to any third party for any       *
          * purposes is expressly prohibited except as otherwise authorized by     *
          * Cisco in writing.                                                      *
          **************************************************************************^C
          !
          line con 0
           exec-timeout 0 0
           escape-character 81
          line aux 0
          line vty 0 4
           exec-timeout 0 0
           login
           transport input none
          !
          no scheduler allocate
          !
          end
    cpu_limit: null
    cpus: null
    data_volume: null
    hide_links: false
    id: n0
    image_definition: null
    label: R1
    node_definition: iosv
    parameters: {}
    ram: null
    tags: []
    x: -240
    y: 80
    interfaces:
      - id: i0
        label: Loopback0
        type: loopback
      - id: i1
        label: GigabitEthernet0/0
        slot: 0
        type: physical
      - id: i2
        label: GigabitEthernet0/1
        slot: 1
        type: physical
      - id: i3
        label: GigabitEthernet0/2
        slot: 2
        type: physical
      - id: i4
        label: GigabitEthernet0/3
        slot: 3
        type: physical
  - boot_disk_size: null
    configuration:
      - name: ios_config.txt
        content: |-
          Building configuration...

          Current configuration : 3473 bytes
          !
          ! Last configuration change at 15:53:18 UTC Tue Apr 15 2025
          !
          version 15.9
          service timestamps debug datetime msec
          service timestamps log datetime msec
          no service password-encryption
          !
          hostname R2
          !
          boot-start-marker
          boot-end-marker
          !
          !
          no logging console
          !
          no aaa new-model
          !
          !
          !
          mmi polling-interval 60
          no mmi auto-configure
          no mmi pvc
          mmi snmp-timeout 180
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          no ip domain lookup
          ip cef
          ipv6 unicast-routing
          ipv6 cef
          !
          multilink bundle-name authenticated
          !
          !
          !
          !
          !
          redundancy
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          !
          interface GigabitEthernet0/0
           description ** to R1 **
           no ip address
           duplex auto
           speed auto
           media-type rj45
           ipv6 address FE80::2 link-local
           ipv6 address 2001:DB8::2/64
          !
          interface GigabitEthernet0/1
           no ip address
           shutdown
           duplex auto
           speed auto
           media-type rj45
          !
          interface GigabitEthernet0/2
           no ip address
           shutdown
           duplex auto
           speed auto
           media-type rj45
          !
          interface GigabitEthernet0/3
           no ip address
           shutdown
           duplex auto
           speed auto
           media-type rj45
          !
          router bgp 65002
           template peer-session SESSION-TEMP
            remote-as 65001
           exit-peer-session
           !
           bgp router-id 2.2.2.2
           bgp log-neighbor-changes
           neighbor 2001:DB8::1 inherit peer-session SESSION-TEMP
           !
           address-family ipv4
            no neighbor 2001:DB8::1 activate
           exit-address-family
           !
           address-family ipv6
            neighbor 2001:DB8::1 activate
           exit-address-family
          !
          ip forward-protocol nd
          !
          !
          no ip http server
          no ip http secure-server
          !
          ipv6 ioam timestamp
          !
          !
          !
          control-plane
          !
          banner exec ^C
          **************************************************************************
          * IOSv is strictly limited to use for evaluation, demonstration and IOS  *
          * education. IOSv is provided as-is and is not supported by Cisco's      *
          * Technical Advisory Center. Any use or disclosure, in whole or in part, *
          * of the IOSv Software or Documentation to any third party for any       *
          * purposes is expressly prohibited except as otherwise authorized by     *
          * Cisco in writing.                                                      *
          **************************************************************************^C
          banner incoming ^C
          **************************************************************************
          * IOSv is strictly limited to use for evaluation, demonstration and IOS  *
          * education. IOSv is provided as-is and is not supported by Cisco's      *
          * Technical Advisory Center. Any use or disclosure, in whole or in part, *
          * of the IOSv Software or Documentation to any third party for any       *
          * purposes is expressly prohibited except as otherwise authorized by     *
          * Cisco in writing.                                                      *
          **************************************************************************^C
          banner login ^C
          **************************************************************************
          * IOSv is strictly limited to use for evaluation, demonstration and IOS  *
          * education. IOSv is provided as-is and is not supported by Cisco's      *
          * Technical Advisory Center. Any use or disclosure, in whole or in part, *
          * of the IOSv Software or Documentation to any third party for any       *
          * purposes is expressly prohibited except as otherwise authorized by     *
          * Cisco in writing.                                                      *
          **************************************************************************^C
          !
          line con 0
           exec-timeout 0 0
           escape-character 81
          line aux 0
          line vty 0 4
           exec-timeout 0 0
           login
           transport input none
          !
          no scheduler allocate
          !
          end
    cpu_limit: null
    cpus: null
    data_volume: null
    hide_links: false
    id: n1
    image_definition: null
    label: R2
    node_definition: iosv
    parameters: {}
    ram: null
    tags: []
    x: -80
    y: 80
    interfaces:
      - id: i0
        label: Loopback0
        type: loopback
      - id: i1
        label: GigabitEthernet0/0
        slot: 0
        type: physical
      - id: i2
        label: GigabitEthernet0/1
        slot: 1
        type: physical
      - id: i3
        label: GigabitEthernet0/2
        slot: 2
        type: physical
      - id: i4
        label: GigabitEthernet0/3
        slot: 3
        type: physical
links:
  - id: l0
    n1: n0
    n2: n1
    i1: i1
    i2: i1
    conditioning: {}
    label: iosv-0-GigabitEthernet0/0<->iosv-1-GigabitEthernet0/0
lab:
  description: ''
  notes: ''
  title: BPG IPv6 with peer-templates
  version: 0.2.2
